TDA Kernel DLL for native calls |

Functions
TDA Kernel DLL Functions For Accessing Java VM and Piped Processes

## Functions
TDAEXTERN void *TDACALL | TDA_LaunchPipedProcess (IN const char *program, IN const char **args)
TDAEXTERN void *TDACALL | TDA_GetParentPipedProcess ()
TDAEXTERN bool TDACALL | TDA_ReadProcessOutputStream (void *hProcess, void *buffer, IN unsigned int size, OUT unsigned int &read)
TDAEXTERN bool TDACALL | TDA_WriteProcessInputStream (void *hProcess, void *buffer, IN unsigned int size, OUT unsigned int &written)
TDAEXTERN bool TDACALL | TDA_IsPipedProcessTerminated (void *hProcess)
TDAEXTERN void TDACALL | TDA_ReleasePipedProcess (void *hProcess, bool terminate)
TDAEXTERN const char *TDACALL | TDA_GetJavaHomeAnyBits ()
TDAEXTERN const char *TDACALL | TDA_GetJavaHomeSameBits ()
TDAEXTERN char **TDACALL | TDA_UpdateJVMOptions (IN const char **options)
TDAEXTERN void TDACALL | TDA_FreeUpdatedJVMOptions (IN char **options)
TDAEXTERN void *TDACALL | TDA_LaunchPipedJavaProcess (IN const char **jvmOptions, IN const char *mainClassName, IN const char **mainArgs)
TDAEXTERN void **TDACALL | TDA_GetExistingJavaVMs ()
TDAEXTERN void TDACALL | TDA_FreeArrayOfExistingJavaVMs (IN void **array)
TDAEXTERN bool TDACALL | TDA_CreateNewJavaVM (IN const char **jvmOptions, OUT void **jvm, OUT void **jvmLibHandle)
TDAEXTERN void TDACALL | TDA_DestroyJavaVM (IN void *jvm, IN void *jvmLibHandle)
TDAEXTERN bool TDACALL | TDA_LaunchJavaClass (IN void *jvm, IN const char *mainClassName, IN const char **mainArgs)
TDAEXTERN const char *TDACALL | TDA_LaunchJavaStringToStringClassMethod (IN void *jvm, IN const char *className, IN const char *methodName, IN const char *arg)
TDAEXTERN void *TDACALL | TDA_CreateSharedMemory (IN const char *memoryName, IN const unsigned int size)
TDAEXTERN unsigned char *TDACALL | TDA_GetSharedMemoryByteArray (void *sharedMemory)
TDAEXTERN void TDACALL | TDA_CloseSharedMemory (void *sharedMemory)
TDAEXTERN void TDACALL | TDA_Sleep (IN const unsigned int ms)

## Detailed Description

TDA Kernel DLL Functions For Accessing Java VM and Piped Processes

## Function Documentation

## ◆ TDA_LaunchPipedProcess()

TDAEXTERN void* TDACALL TDA_LaunchPipedProcess | ( | IN const char * | program,
|  | IN const char ** | args
| ) |  |

## ◆ TDA_GetParentPipedProcess()

TDAEXTERN void* TDACALL TDA_GetParentPipedProcess | ( |  | ) |

## ◆ TDA_ReadProcessOutputStream()

TDAEXTERN bool TDACALL TDA_ReadProcessOutputStream | ( | void * | hProcess,
|  | void * | buffer,
|  | IN unsigned int | size,
|  | OUT unsigned int & | read
| ) |  |

## ◆ TDA_WriteProcessInputStream()

TDAEXTERN bool TDACALL TDA_WriteProcessInputStream | ( | void * | hProcess,
|  | void * | buffer,
|  | IN unsigned int | size,
|  | OUT unsigned int & | written
| ) |  |

## ◆ TDA_IsPipedProcessTerminated()

TDAEXTERN bool TDACALL TDA_IsPipedProcessTerminated | ( | void * | hProcess | ) |

## ◆ TDA_ReleasePipedProcess()

TDAEXTERN void TDACALL TDA_ReleasePipedProcess | ( | void * | hProcess,
|  | bool | terminate
| ) |  |

## ◆ TDA_GetJavaHomeAnyBits()

TDAEXTERN const char* TDACALL TDA_GetJavaHomeAnyBits | ( |  | ) |

## ◆ TDA_GetJavaHomeSameBits()

TDAEXTERN const char* TDACALL TDA_GetJavaHomeSameBits | ( |  | ) |

## ◆ TDA_UpdateJVMOptions()

TDAEXTERN char** TDACALL TDA_UpdateJVMOptions | ( | IN const char ** | options | ) |

## ◆ TDA_FreeUpdatedJVMOptions()

TDAEXTERN void TDACALL TDA_FreeUpdatedJVMOptions | ( | IN char ** | options | ) |

## ◆ TDA_LaunchPipedJavaProcess()

TDAEXTERN void* TDACALL TDA_LaunchPipedJavaProcess | ( | IN const char ** | jvmOptions,
|  | IN const char * | mainClassName,
|  | IN const char ** | mainArgs
| ) |  |

## ◆ TDA_GetExistingJavaVMs()

TDAEXTERN void** TDACALL TDA_GetExistingJavaVMs | ( |  | ) |

## ◆ TDA_FreeArrayOfExistingJavaVMs()

TDAEXTERN void TDACALL TDA_FreeArrayOfExistingJavaVMs | ( | IN void ** | array | ) |

## ◆ TDA_CreateNewJavaVM()

TDAEXTERN bool TDACALL TDA_CreateNewJavaVM | ( | IN const char ** | jvmOptions,
|  | OUT void ** | jvm,
|  | OUT void ** | jvmLibHandle
| ) |  |

## ◆ TDA_DestroyJavaVM()

TDAEXTERN void TDACALL TDA_DestroyJavaVM | ( | IN void * | jvm,
|  | IN void * | jvmLibHandle
| ) |  |

## ◆ TDA_LaunchJavaClass()

TDAEXTERN bool TDACALL TDA_LaunchJavaClass | ( | IN void * | jvm,
|  | IN const char * | mainClassName,
|  | IN const char ** | mainArgs
| ) |  |

## ◆ TDA_LaunchJavaStringToStringClassMethod()

TDAEXTERN const char* TDACALL TDA_LaunchJavaStringToStringClassMethod | ( | IN void * | jvm,
|  | IN const char * | className,
|  | IN const char * | methodName,
|  | IN const char * | arg
| ) |  |

## ◆ TDA_CreateSharedMemory()

TDAEXTERN void* TDACALL TDA_CreateSharedMemory | ( | IN const char * | memoryName,
|  | IN const unsigned int | size
| ) |  |

## ◆ TDA_GetSharedMemoryByteArray()

TDAEXTERN unsigned char* TDACALL TDA_GetSharedMemoryByteArray | ( | void * | sharedMemory | ) |

## ◆ TDA_CloseSharedMemory()

TDAEXTERN void TDACALL TDA_CloseSharedMemory | ( | void * | sharedMemory | ) |

## ◆ TDA_Sleep()

TDAEXTERN void TDACALL TDA_Sleep | ( | IN const unsigned int | ms | ) |